Package org.apache.solr.client.solrj.io.graph

## Enum Traversal.Scatter

- java.lang.Object
- - java.lang.Enum<Traversal.Scatter>
  - - org.apache.solr.client.solrj.io.graph.Traversal.Scatter

All Implemented Interfaces:
  `Serializable`, `Comparable<Traversal.Scatter>`

Enclosing class:
  Traversal

    public static enum Traversal.Scatter
    extends Enum<Traversal.Scatter>

### Enum Constant Summary

Enum Constants
`BRANCHES`
`LEAVES`

### Method Summary

All Methods Static Methods Concrete Methods
`static Traversal.Scatter` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Traversal.Scatter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BRANCHES

    public static final Traversal.Scatter BRANCHES

#### LEAVES

    public static final Traversal.Scatter LEAVES

### Method Detail

#### values

    public static Traversal.Scatter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Traversal.Scatter c : Traversal.Scatter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Traversal.Scatter valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null